# ColumnClickEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [ColumnClick](/api/wisej.web/lists-and-grids/listview.md#columnclick) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ColumnClickEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ColumnClickEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnClickEventArgs(column)

Initializes a new instance of the [ColumnClickEventArgs](/api/wisej.web/lists-and-grids/listview/wisej.web.columnclickeventargs.md) class.

| Name       | Type                                                        | Description                                         |
| ---------- | ----------------------------------------------------------- | --------------------------------------------------- |
| **column** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The zero-based index of the column that is clicked. |

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnClickEventArgs(column, button, clicks)

Initializes a new instance of the [ColumnClickEventArgs](/api/wisej.web/lists-and-grids/listview/wisej.web.columnclickeventargs.md) class.

| Name       | Type                                                                  | Description                                                                                                                           |
| ---------- | --------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| **column** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)           | The zero-based index of the column that is clicked.                                                                                   |
| **button** | [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md) | One of the [MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md) values that indicate which mouse button was pressed. |
| **clicks** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)           | The number of times a mouse button was pressed.                                                                                       |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Button

[MouseButtons](/api/wisej.web/enumerations/wisej.web.mousebuttons.md): Returns which mouse button was pressed.

### ![](/files/hsR4ok3152WyAf8J2C1u) Clicks

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the number of clicks or taps.

### ![](/files/hsR4ok3152WyAf8J2C1u) Column

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the zero-based index of the column that is clicked.

## Used By

| Name                                                                                                    | Description                                                                                                                                                                         |
| ------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ColumnClickEventHandler](/api/wisej.web/lists-and-grids/listview/wisej.web.columnclickeventhandler.md) | Represents the method that will handle the [ColumnClick](/api/wisej.web/lists-and-grids/listview.md#columnclick) event of a [ListView](/api/wisej.web/lists-and-grids/listview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/listview/wisej.web.columnclickeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
